Bug 1410798 - Fixed associations for network_port and openstack network_port service models
Summary: Fixed associations for network_port and openstack network_port service models
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Peter McGowan
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 1410819
TreeView+ depends on / blocked
 
Reported: 2017-01-06 14:22 UTC by Satoe Imaishi
Modified: 2018-06-01 13:26 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1410819 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:46:50 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Satoe Imaishi 2017-01-06 14:22:45 UTC
From PR https://github.com/ManageIQ/manageiq/pull/12160:

The MiqAeServiceManageIQ_Providers_Openstack_NetworkManager_NetworkPort service model defined an association 'cloud_subnets' that was also defined in its superclass MiqAeServiceNetworkPort, so this appeared twice in its list of associations. The class MiqAeServiceNetworkPort defined an association 'cloud_subnet' that was not defined in the NetworkPort AR, so this gave a NoMethodError when accessed.

This PR removes the two erroneous lines from the service model definitions

Comment 3 Milan Falešník 2017-03-30 09:17:50 UTC
Verified in 5.8.0.8. cloud_subnet is not defined as expected and cloud_subnets works.


Note You need to log in before you can comment on or make changes to this bug.